--Run SLH_Config_Lua  	
	SLH_NQ_Lua = CreateFrame("Frame", "SLH_NQ_Lua")
	SLH_NQ_Lua:RegisterEvent("ADDON_LOADED")
	SLH_NQ_Lua:HookScript("OnEvent", function (self, event, name, ...)
		if (name ~= "SalensLittleHelper") then return end

		--Theoretically speeds up access to global variables by making them local.  This is supposed to be faster.  I have no proof this is true.	
			local _G_SLH = _G 
		
		local SLH_PCSV_UnitName = _G_SLH["SLH_PCSV"]["SLH_PCSV_UnitNameGlobal"]
		local NQ_Profile = _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NQ_Profile"]
			
		--Development Mode Boolean (Controls various Overrides, disable to test and distribute.)
			local SLH_NQ_DevMode = false
			--[[DevMode]]if SLH_NQ_DevMode and name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ_Lua addonName: " .. name) end	


		-- Set Variables
			local SLH_NQ_SetVars = function (self, event, name, ...)
				-- Test/Create SLH_SV Table			
					if _G_SLH["SLH_SV"] == nil then _G_SLH["SLH_SV"] = {} end			
				-- Test/Create SLH_SV.NQ_Profile Table
					if _G_SLH["SLH_SV"][NQ_Profile] == nil then _G_SLH["SLH_SV"][NQ_Profile] = {}  end	
				-- Test/Create SLH_NQ Table
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"] = {}  end	
				
				-- Test/Create SLH_NQ Variables
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] = "Y" end
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["xOfs"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["xOfs"] = 80 end	
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["yOfs"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["yOfs"] = 320 end				
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] = 9000 end		
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["LogOnScan"] == nil then _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["LogOnScan"] = "Y" end
					
				--Reset Pauses on load
					_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"] = {}
			
			end


		--SLH_NQ Module
			local SLH_NQ_Module = function (self, event, SLH_NQ_itemLink, SLH_NQ_lootstring)	
				
				--[[DevMode]]if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: SLH_NQ_Module Start") end		
				local SLH_Bags = {}	
				SLH_Bags[1]=0
				SLH_Bags[2]=1
				SLH_Bags[3]=2
				SLH_Bags[4]=3
				SLH_Bags[5]=4
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable, --Lockbox ID?
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
							
						if SLH_itemLink ~= nil and SLH_itemLink == SLH_NQ_itemLink
							and 
								(
									string.find(SLH_itemLink, "Cypher of Relocation") == nil		
								)
						then 
							local SLH_itemName, 
								SLH_itemLink_GetItemInfo, 
								SLH_itemRarity, 
								SLH_itemLevel, 
								SLH_itemMinLevel, 
								SLH_itemType, 
								SLH_itemSubType, 
								SLH_itemStackCount,
								SLH_itemEquipLoc, 
								SLH_itemIcon, 
								SLH_itemSellPrice, 
								SLH_itemClassID, -- 9 = Recipes, Cannot call UseContainerItem for recipes.
								SLH_itemSubClassID, 
								SLH_bindType, 
								SLH_expacID, 
								SLH_itemSetID, 
								SLH_isCraftingReagent = GetItemInfo(SLH_itemLink) 
					
							local SLH_GetDetailedItemLevelInfo_effectiveILvl, 
								SLH_isPreview, 
								SLH_baseILvl = GetDetailedItemLevelInfo(SLH_NQ_itemLink)
							
							local SLH_spellName, SLH_spellID = GetItemSpell(SLH_itemLink)
							
							--[[DevMode]]if SLH_NQ_DevMode and SLH_NQ_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ SLH_NQ_itemLink: " .. SLH_NQ_itemLink) end	
							--[[DevMode]]if SLH_NQ_DevMode and SLH_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ SLH_itemLink: " .. SLH_itemLink) end
							--[[DevMode]]if SLH_NQ_DevMode and SLH_itemClassID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ SLH_itemClassID: " .. SLH_itemClassID) end
							--[[DevMode]]if SLH_NQ_DevMode and SLH_spellID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ SLH_spellID: " .. SLH_spellID) end
							
							local SLH_itemID, SLH_itemType, SLH_itemSubType, SLH_itemEquipLoc, SLH_icon, SLH_itemClassID, SLH_itemSubClassID = GetItemInfoInstant(SLH_itemLink) 
							
							if SLH_itemClassID == 12 and SLH_spellID ~= nil 
							then 		
															
								local name, rank, icon, SLH_castTime, minRange, maxRange, spellId = GetSpellInfo(SLH_spellID)
								--[[DevMode]]if SLH_NQ_DevMode and SLH_castTime ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ SLH_castTime: " .. SLH_castTime) end		
								
								
													
								
								if UnitAffectingCombat("player")
								then	
									--[[DevMode]]if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Unit is in Combat, added to PostCombatList.") end
									local slh_newEntry = #_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"]+1
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][slh_newEntry] = {}
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][slh_newEntry][1] = SLH_NQ_itemLink
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][slh_newEntry][2] = SLH_NQ_lootstring
									return 
								end
								
								if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] > 10000
								then	
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] = 9000
								else 
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] = _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"] + 1									
								end
														
								local SLH_NQ_SecureActionButton = CreateFrame("CheckButton", nil, UIParent, "SecureActionButtonTemplate,ActionButtonTemplate")
								SLH_NQ_SecureActionButton:SetPoint("CENTER", UIParent, _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["xOfs"], _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["yOfs"])	
								SLH_NQ_SecureActionButton:SetAttribute("type1", "item")
								SLH_NQ_SecureActionButton:SetAttribute("item", SLH_itemName)
								SLH_NQ_SecureActionButton:RegisterForClicks("AnyUp")
								SLH_NQ_SecureActionButton:SetSize(40, 40)
								SLH_NQ_SecureActionButton:SetFrameLevel(_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["framelevel"])
								
								local SLH_icon = SLH_NQ_SecureActionButton:CreateTexture(nil, "ARTWORK")
								SLH_icon:SetAllPoints(true)
								SLH_icon:SetTexture(GetItemIcon(SLH_itemID))
								SLH_NQ_SecureActionButton.icon = SLH_icon	
								
								SLH_NQ_SecureActionButton:Show()
									
								--Make Dragable
								SLH_NQ_SecureActionButton:SetMovable(true)
								SLH_NQ_SecureActionButton:EnableMouse(true)					
								SLH_NQ_SecureActionButton:RegisterForDrag("LeftButton")
								SLH_NQ_SecureActionButton:SetScript("OnDragStart", function(SLH_NQ_SecureActionButton) if IsShiftKeyDown() then SLH_NQ_SecureActionButton:StartMoving() end end)
								SLH_NQ_SecureActionButton:SetScript("OnDragStop", SLH_NQ_SecureActionButton.StopMovingOrSizing)
																
								SLH_NQ_SecureActionButton:HookScript("OnClick", function (self, button, down) 
									if SLH_NQ_DevMode and SLH_NQ_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: SLH_NQ_itemLink" .. SLH_NQ_itemLink) end
									C_Timer.After(.2, function() 
										if button == "RightButton" or GetItemCount(SLH_NQ_itemLink) == 0
										then
											self:Hide() 
											RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
											if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here1") end
											return	
										else
											C_Timer.After(1, function() 
												if GetItemCount(SLH_NQ_itemLink) == 0
												then
													self:Hide() 
													RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
													if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here2") end
													return	
												else
													C_Timer.After(1, function() 
														if GetItemCount(SLH_NQ_itemLink) == 0
														then
															self:Hide() 
															RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
															if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here3") end		
															return	
														else
															C_Timer.After(1, function() 
																if GetItemCount(SLH_NQ_itemLink) == 0
																then
																	self:Hide() 
																	RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
																	if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here4") end
																	return													
																end									
															end)
														end									
													end)
												end									
											end)
										end									
									end)
									C_Timer.After(.2 + (SLH_castTime/1000), function() 
										local SLH_startTime, SLH_duration, SLH_isEnabled = GetItemCooldown(SLH_itemID)	
										if button == "LeftButton" and GetItemCount(SLH_NQ_itemLink) >= 1 and SLH_duration > 0
										then
											--self:Hide() 
											local SLH_NQ_Cooldown = CreateFrame("Cooldown", "SLH_NQ_Cooldown", self, "CooldownFrameTemplate")
											SLH_NQ_Cooldown:SetAllPoints()
											SLH_NQ_Cooldown:SetCooldown(GetTime() - .2, SLH_duration)
											if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here5") end
											return	
										elseif button == "LeftButton" and GetItemCount(SLH_NQ_itemLink) == 0
										then
											self:Hide() 
											if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Here6") end
											return	
										end									
									end)
								end)								
								
								SLH_NQ_SecureActionButton:HookScript("OnEnter", function(widget)
									GameTooltip:SetOwner(SLH_NQ_SecureActionButton, "ANCHOR_RIGHT")
									GameTooltip:SetHyperlink(SLH_NQ_itemLink)
									GameTooltip:AddLine("\n\nSLH_NQ:\n  Left Click: Use ".. SLH_NQ_itemLink .. "\n  Right Click: Hide Button\n  Hold Shift+Left Mouse Button and Drag to move to your preferred location.", _G_SLH["SLH_SF"]["SLH_TooltipColors"].r, _G_SLH["SLH_SF"]["SLH_TooltipColors"].g, _G_SLH["SLH_SF"]["SLH_TooltipColors"].b, true)
									GameTooltip:Show()
								end)
								SLH_NQ_SecureActionButton:HookScript("OnLeave", function(widget) 
									GameTooltip:Hide()
									local SLH_point, SLH_relativeTo, SLH_relativePoint,SLH_xOfs, SLH_yOfs = SLH_NQ_SecureActionButton:GetPoint(n)
									
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["xOfs"] = SLH_xOfs
									_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["yOfs"] = SLH_yOfs
								end)
								
								RegisterAttributeDriver(SLH_NQ_SecureActionButton,"visibility","[combat]hide;show")
								
								return
							end
						end
					end
				end
				return
			end

		--SLH_NQ_Delay
			local SLH_NQ_Delay = function (self, event, ...)		
				--[[DevMode]]if SLH_NQ_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: " .. event) end
				if IsAltKeyDown() or event == "ADDON_LOADED" then return end	

				local SLH_NQ_lootstring, 
					SLH_playerName , 
					SLH_languageName , 
					SLH_channelName , 
					SLH_playerName2 , 
					SLH_specialFlags , 
					SLH_zoneChannelID , 
					SLH_channelIndex , 
					SLH_channelBaseName , 
					unused , 
					SLH_lineID , 
					SLH_SenderGUID, 
					SLH_bnSenderID , 
					SLH_isMobile  , 
					SLH_isSubtitle  , 
					SLH_hideSenderInLetterbox  , 
					SLH_supressRaidIcons  = ...
					
				local SLH_NQ_itemLink = string.match(SLH_NQ_lootstring,"|%x+|Hitem:.-|h.-|h|r")
				local SLH_UnitName = string.gsub(UnitName("player"), " ", "")
				local SLH_realmName = string.gsub(GetRealmName(), " ", "")
				local SLH_UnitName_realmName = SLH_UnitName .. "-" .. SLH_realmName
				SLH_playerName = string.gsub(SLH_playerName, " ", "")
				
				if SLH_UnitName_realmName ~= SLH_playerName then return end
				--[[DevMode]]if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Player and Realm Name Match") end			
								
				C_Timer.After(1, function() SLH_NQ_Module(self, event, SLH_NQ_itemLink, SLH_NQ_lootstring) end) 
				return
			end

		--SLH_NQ_Delay2
			_G_SLH["SLH_SF"]["SLH_NQ_Delay2"] = function (self, event, SLH_NQ_itemLink, SLH_NQ_lootstring)
				if UnitAffectingCombat("player")
				then	
					--[[DevMode]]if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: Unit is in Combat.") end
					C_Timer.After(1, function() _G_SLH["SLH_SF"]["SLH_NQ_Delay2"](self, event, SLH_NQ_itemLink, SLH_NQ_lootstring) end)
					return 
				else 
					C_Timer.After(1, function() SLH_NQ_Module(self, event, SLH_NQ_itemLink, SLH_NQ_lootstring) end)
					return 
				end
			end

		--SLH_NQ_PostCombat
			_G_SLH["SLH_SF"]["SLH_NQ_PostCombat"] = function (self, event, SLH_NQ_itemLink, SLH_NQ_lootstring)				
				if next(_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"]) ~= nil
				then
					for i=#_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"],1,-1 do	
						C_Timer.After(1, function() 
							if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i] ~= nil
							then				
								local SLH_NQ_itemLink = _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][1]
								local SLH_NQ_lootstring = _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][2]
								--[[DevMode]]if SLH_NQ_DevMode and i ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: PostCombat index = " .. i) end	
								--[[DevMode]]if SLH_NQ_DevMode and SLH_NQ_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: PostCombat SLH_NQ_itemLink = " .. SLH_NQ_itemLink) end	
								--[[DevMode]]if SLH_NQ_DevMode and SLH_NQ_lootstring ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: PostCombat SLH_NQ_lootstring = " .. SLH_NQ_lootstring) end									
								if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][1] ~= nil and _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][2]
								then	
									_G_SLH["SLH_SF"]["SLH_NQ_Delay2"](self, event, SLH_NQ_itemLink, SLH_NQ_lootstring) 	
								end								
							end 
							table.remove(_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i])	
							_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][1] = nil;
							_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i][2] = nil;
							_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["PostCombatList"][i]	 = nil;
							return
						end)
					end	
					return	
				end 	
			end


		--SLH_NC Module Scan
			_G_SLH["SLH_SF"]["SLH_NQ_Scan"] = function (self, event, ...)	
		
				--[[DevMode]]if SLH_NQ_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: SLH_NQ_Module_Scan Start") end		
				local SLH_Bags = {}	
				SLH_Bags[1]=0
				SLH_Bags[2]=1
				SLH_Bags[3]=2
				SLH_Bags[4]=3
				SLH_Bags[5]=4
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable, --Lockbox ID?
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
							
						if SLH_itemLink ~= nil
						then 
							local SLH_NQ_lootstring = string.match(SLH_itemLink, "item[%-?%d:]+")
							SLH_NQ_Module(self, event, SLH_itemLink, SLH_NQ_lootstring)
						end
					end
				end
				return
			end
			
			
		--SLH_NQ EventCall
			local SLH_NQ_Events = function (SLH_NQOptions, event, name, ...)
				--[[DevMode]]if SLH_NQ_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NQ: " .. event) end					
				
				Run_SLH_NQ = CreateFrame("Frame","Run_SLH_NQ")
				Run_SLH_NQ:RegisterEvent("CHAT_MSG_LOOT")	
				if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] == "Y"
				then 
					Run_SLH_NQ:HookScript("OnEvent", function (self, event, ...)		
						SLH_NQ_Delay(self, event, ...)	
					end)
				end
				
				Run_SLH_NQ_PostCombat= CreateFrame("Frame","Run_SLH_NQ_PostCombat")
				Run_SLH_NQ_PostCombat:RegisterEvent("PLAYER_REGEN_ENABLED")		
				if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] == "Y"
				then 
					Run_SLH_NQ_PostCombat:HookScript("OnEvent", function (self, event, ...)		
						_G_SLH["SLH_SF"]["SLH_NQ_PostCombat"](self, event, ...)	
					end)
				end
								
				if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["LogOnScan"] == "Y"
				then
					Run_SLH_NQ_Scan = CreateFrame("Frame","Run_SLH_NQ_Scan")
					Run_SLH_NQ_Scan:RegisterEvent("PLAYER_ENTERING_WORLD")		
					if _G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] == "Y"
					then 
						Run_SLH_NQ_Scan:HookScript("OnEvent", function (self, event, ...)		
							_G_SLH["SLH_SF"]["SLH_NQ_Scan"](self, event, ...)	
						end)
					end
				end
			end

		--SLH_NQ Config Screen
			local SLH_NQ_Frames = function  (self, event, name, ...)

				-- SLH_NQ Options
					local SLH_NQOptions = CreateFrame( "Frame", "SLH_NQOptions")
					SLH_NQOptions.name = "New Questables"
					-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
						SLH_NQOptions.parent = SLH_Config_Panel.name
					-- Add the child to the Interface Options
						InterfaceOptions_AddCategory(SLH_NQOptions)
					--Add Title
						local SLH_NQOptionsTitle = SLH_NQOptions:CreateFontString(nil, "ARTWORK","GameFontNormalLarge")
						SLH_NQOptionsTitle:SetPoint("TOPLEFT", 10, -10)
						SLH_NQOptionsTitle:SetText("Salen's Little Helper - New Questables Options")

			
				--SLH_NQDetail - Create Scroll Frame		
					SLH_NQDetail = securecall(_G_SLH["SLH_SF"]["SLH_CreateScrollFrame"],SLH_NQOptions, --self
						"SLH_NQDetail", --FrameName
						SLH_NQOptions, --TOPLEFTrelativeFrame
						5, --TOPLEFTxOffset
						-30, --TOPLEFTyOffset
						SLH_NQOptions, --BOTTOMRIGHTrelativeFrame
						-5, --BOTTOMRIGHTxOffset
						5,--BOTTOMRIGHTyOffset
						"New Questables Options" -- Title
						)
					SLH_NQDetail.ScrollBar:ClearAllPoints()
					SLH_NQDetail.ScrollBar:SetPoint("TOPLEFT", SLH_NQDetail, "TOPRIGHT", -25, -20)
					SLH_NQDetail.ScrollBar:SetPoint("BOTTOMRIGHT", SLH_NQDetail, "BOTTOMRIGHT", -5, 25)
					SLH_NQDetail:SetClipsChildren(true)		
					
					--(Uncomment to) Set Background Color
						--SLH_NQDetail.bg = SLH_NQDetail:CreateTexture(nil, "BACKGROUND")
						--SLH_NQDetail.bg:SetAllPoints(true)
						--SLH_NQDetail.bg:SetColorTexture(0.8, 0.4, 0, 0.2)
					--End Set Background Color

					--SLH_NQDetailScrollFrameChild
						local SLH_NQDetailScrollFrameChild = CreateFrame("Frame", nil, SLH_NQDetail)
						SLH_NQDetailScrollFrameChild:SetSize(600, 470)
							--(Uncomment to) Set Background Color
								--SLH_NQDetailScrollFrameChild.bg = SLH_NQDetailScrollFrameChild:CreateTexture(nil, "BACKGROUND")
								--SLH_NQDetailScrollFrameChild.bg:SetAllPoints(true)
								--SLH_NQDetailScrollFrameChild.bg:SetColorTexture(0.2, 0.6, 0, 0.8)
							--End Set Background Color
						SLH_NQDetail:SetScrollChild(SLH_NQDetailScrollFrameChild)	
						SLH_NQDetailScrollFrameChild:SetClipsChildren(true)		
			
					

					--SLH_NQDetail Title 
						SLH_NQDetailScrollFrameChild.title = SLH_NQDetailScrollFrameChild:CreateFontString (nil, "OVERLAY")
						SLH_NQDetailScrollFrameChild.title:SetFontObject("GameFontHighlight")
						SLH_NQDetailScrollFrameChild.title:SetPoint("LEFT", SLH_NQDetailScrollFrameChild.TitleBg, "LEFT", 5, 0)
						SLH_NQDetailScrollFrameChild.title:SetText("New Questables Options")	
						SLH_NQDetailScrollFrameChild.title:SetTextColor(_G_SLH["SLH_SF"]["SLH_TitleColors"].r, _G_SLH["SLH_SF"]["SLH_TitleColors"].g, _G_SLH["SLH_SF"]["SLH_TitleColors"].b, _G_SLH["SLH_SF"]["SLH_TitleColors"].a)					

					--MasterFrame.SLH_NQDetail Buttons
						-- Enable_SLH_NQ Check Button:
							Enable_SLH_NQ = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NQOptions, --self
								"TOPLEFT", --point
								SLH_NQDetailScrollFrameChild, --relativeFrame
								"Enable_SLH_NQ", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								10, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								NQ_Profile, --SVPath1
								"NQ", --SVPath2
								"Enable", --SVPath3
								"Enable New Questables", --text
								"Creates a PopUp Icon for using the new Quest Item\n\nLeft Click to Use it, Right Click to Close the icon.\n\nIcon will Automatically Hide During Combat." --tooltip
								)
								Enable_SLH_NQ:HookScript("OnClick", function(self, arg1)			
									if Enable_SLH_NQ:GetChecked() 
										then 
											_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] = "Y"
											SLH_NQ_SetVars(self, event, name)
											SLH_NQ_Events(self, event, name)
										else 
											_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["Enable"] = "N"
											
											if Run_SLH_ActiveQuests then Run_SLH_ActiveQuests:UnregisterAllEvents()	end
											if Run_SLH_CompleteQuests then Run_SLH_CompleteQuests:UnregisterAllEvents()	end
											if Run_SLH_AvailableQuests then Run_SLH_AvailableQuests:UnregisterAllEvents()	end
											if Run_SLH_AcceptQuests then Run_SLH_AcceptQuests:UnregisterAllEvents()	end				
									end
								end)
										
						-- SLH_NQ_SLH_xOfs - in seconds
							SLH_NQ_SLH_xOfs = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_NQOptions, --
								"TOPLEFT", --point
								Enable_SLH_NQ, --relativeFrame
								"SLH_NQ_SLH_xOfs" , --FrameName
								"BOTTOMLEFT", --relativePoint
								10, --xOffset
								-40, --yOffset
								-1000, --Min
								1000, --Max
								_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["xOfs"], --Value
								20, --Step
								"SLH_SV", --SVPath0
								NQ_Profile, --SVPath1
								"NQ", --SVPath2
								"xOfs", --SVPath3
								"Set X Coordinate?", --text
								"Set X Coordinate\n\nThis is in case the button is moved off screen and you need to recover it.\n\nCoordinates are from center of the screen. Center = 0 , Default = 80\n\nThis setting requires a reload after a change." --tooltip
								)
										
						-- SLH_NQ_SLH_yOfs - in seconds
							SLH_NQ_SLH_yOfs = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_NQOptions, --
								"TOPLEFT", --point
								SLH_NQ_SLH_xOfs, --relativeFrame
								"SLH_NQ_SLH_yOfs" , --FrameName
								"BOTTOMLEFT", --relativePoint
								0, --xOffset
								-50, --yOffset
								-1000, --Min
								1000, --Max
								_G_SLH["SLH_SV"][NQ_Profile]["NQ"]["yOfs"], --Value
								20, --Step
								"SLH_SV", --SVPath0
								NQ_Profile, --SVPath1
								"NQ", --SVPath2
								"yOfs", --SVPath3
								"Set Y Coordinate?", --text
								"Set Y Coordinate\n\nThis is in case the button is moved off screen and you need to recover it.\n\nCoordinates are from center of the screen. Center = 0 , Default = 320\n\nThis setting requires a reload after a change." --tooltip
								)

						
						--Right Side
								
						-- SLH_NQ_LogOnScan Check Button:
							SLH_NQ_LogOnScan = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NLOptions, --self
								"TOPLEFT", --point
								Enable_SLH_NQ, --relativeFrame
								"SLH_NQ_LogOnScan", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								280, --xOffset
								0, --yOffset
								"SLH_SV", --SVPath0
								NQ_Profile, --SVPath1
								"NQ", --SVPath2
								"LogOnScan", --SVPath3
								"Run Scan on Loading UI?", --text
								"Runs Scan when Loading UI.\n\nCould be useful while levelling.  Could also be highly annoying." --tooltip
								)
								
										
			end

				
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NQ_Load"] == "Y" then
				SLH_NQ_SetVars(self, event, name, ...)
				SLH_NQ_Events(self, event, name, ...)
			end
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NQ_Hide"] == "N" then
				SLH_NQ_Frames(self, event, name, ...)
			end

	end	)	