--Run SLH_Config_Lua  	
	SLH_NC_Lua = CreateFrame("Frame", "SLH_NC_Lua")
	SLH_NC_Lua:RegisterEvent("ADDON_LOADED")
	SLH_NC_Lua:HookScript("OnEvent", function (self, event, name, ...)
		if (name ~= "SalensLittleHelper") then return end

		--Theoretically speeds up access to global variables by making them local.  This is supposed to be faster.  I have no proof this is true.	
			local _G_SLH = _G 
		
		local SLH_PCSV_UnitName = _G_SLH["SLH_PCSV"]["SLH_PCSV_UnitNameGlobal"]
		local NC_Profile = _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NC_Profile"]
			
		--Development Mode Boolean (Controls various Overrides, disable to test and distribute.)
			local SLH_NC_DevMode = false
			--[[DevMode]]if SLH_NC_DevMode and name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC_Lua addonName: " .. name) end	


		-- Set Variables
			local SLH_NC_SetVars = function (self, event, name, ...)
				-- Test/Create SLH_SV Table			
					if _G_SLH["SLH_SV"] == nil then _G_SLH["SLH_SV"] = {} end			
				-- Test/Create SLH_SV.NC_Profile Table
					if _G_SLH["SLH_SV"][NC_Profile] == nil then _G_SLH["SLH_SV"][NC_Profile] = {}  end	
				-- Test/Create SLH_NC Table
					if _G_SLH["SLH_SV"][NC_Profile]["NC"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"] = {}  end	
									
				
				-- Test/Create SLH_NC Variables
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] = "Y" end
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["xOfs"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["xOfs"] = -40 end	
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["yOfs"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["yOfs"] = 320 end						
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] = 9000 end	
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableForCrafting"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableForCrafting"] = "Y" end
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableWhenMailBoxIsOpen"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableWhenMailBoxIsOpen"] = "Y" end
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["LogOnScan"] == nil then _G_SLH["SLH_SV"][NC_Profile]["NC"]["LogOnScan"] = "N" end
					
				--Reset Pauses on load
					_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"] = {}
					_G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] = "N"
			
			end


		--SLH_NC Module
			local SLH_NC_Module = function (self, event, SLH_NC_itemLink, SLH_NC_lootstring)	
				
				--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: SLH_NC_Module Start") end		
				local SLH_Bags = {}	
				SLH_Bags[1]=0
				SLH_Bags[2]=1
				SLH_Bags[3]=2
				SLH_Bags[4]=3
				SLH_Bags[5]=4
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable, --Lockbox ID?
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
							
						if SLH_itemLink ~= nil and not SLH_lootable and SLH_itemLink == SLH_NC_itemLink
						then 
							local SLH_itemName, 
								SLH_itemLink_GetItemInfo, 
								SLH_itemRarity, 
								SLH_itemLevel, 
								SLH_itemMinLevel, 
								SLH_itemType, 
								SLH_itemSubType, 
								SLH_itemStackCount,
								SLH_itemEquipLoc, 
								SLH_itemIcon, 
								SLH_itemSellPrice, 
								SLH_itemClassID, -- 9 = Recipes, Cannot call UseContainerItem for recipes.
								SLH_itemSubClassID, 
								SLH_bindType, 
								SLH_expacID, 
								SLH_itemSetID, 
								SLH_isCraftingReagent = GetItemInfo(SLH_itemLink) 
					
							local SLH_GetDetailedItemLevelInfo_effectiveILvl, 
								SLH_isPreview, 
								SLH_baseILvl = GetDetailedItemLevelInfo(SLH_NC_itemLink)
								
							--[[
									0: Consumable

									subclassID	itemSubType					Description
									0			Explosives and Devices	
									1			Potion	
									2			Elixir	
									3			Flask	
									4			Scroll (OBSOLETE)	
									5			Food & Drink	
									6			Item Enhancement (OBSOLETE)	
									7			Bandage	
									8			Other	
									9			Vantus Runes	
									
									8: Item Enhancement
								]]
							
							--[[DevMode]]if SLH_NC_DevMode and SLH_NC_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_NC_itemLink: " .. SLH_NC_itemLink) end	
							--[[DevMode]]if SLH_NC_DevMode and SLH_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_itemLink: " .. SLH_itemLink) end
							--[[DevMode]]if SLH_NC_DevMode and SLH_itemClassID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_itemClassID: " .. SLH_itemClassID) end
							--[[DevMode]]if SLH_NC_DevMode and SLH_itemSubClassID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_itemSubClassID: " .. SLH_itemSubClassID) end
														
							if SLH_itemLink ~= nil 
								and(
									(SLH_itemClassID == 0
										and (SLH_itemSubClassID ~= 8	--8 is unlisted, but bring up grey items in Legion?
										--or (SLH_itemSubClassID == 8		
										--		and (string.find(SLH_itemLink, "Puntable Marmot") ~= nil  --Toys show up here for use?
										--		)
										--	)
										)
									)
									or (SLH_itemClassID == 7
										and (SLH_itemSubClassID == 11
											and string.find(SLH_itemLink, "Recipe:") ~= nil											
											)										
										)
									or SLH_itemClassID == 8
									or SLH_itemClassID == 9
									or (SLH_itemClassID == 15 
										and (SLH_itemSubClassID == 0
												and (string.find(SLH_itemLink, "Amethyl Crystal") ~= nil
													or string.find(SLH_itemLink, "Iron Horde Weapon Cache") ~= nil 
													or string.find(SLH_itemLink, "Exploratron 2000 Spare Parts") ~= nil 
													or string.find(SLH_itemLink, "Exploratron 2000 Spare Parts") ~= nil 
													or string.find(SLH_itemLink, "Scouting Map") ~= nil 
													)									
											or SLH_itemSubClassID == 2 
											or (SLH_itemSubClassID == 4 
												and (string.find(SLH_itemLink, "Fractal Thoughtbinder") ~= nil
													or string.find(SLH_itemLink, "Wisps of Memory") ~= nil
													or string.find(SLH_itemLink, "Expanding Prism") ~= nil -- really Mind-Expanding Prism, somehitng not right with the Dash
													or string.find(SLH_itemLink, "Crystalline Memory Repository") ~= nil
													or string.find(SLH_itemLink, "Research Report: All-Seeing Crystal") ~= nil
													or string.find(SLH_itemLink, "The Archivists' Codex") ~= nil
													or string.find(SLH_itemLink, "Barracks, Level 1") ~= nil
													or string.find(SLH_itemLink, "Stonewrought Sentry") ~= nil
													or string.find(SLH_itemLink, "Muckpool Cookpot") ~= nil
													or string.find(SLH_itemLink, "Fae Harp") ~= nil
													or string.find(SLH_itemLink, "Hearty Dragon Plume") ~= nil
													or string.find(SLH_itemLink, "Fae Pipes") ~= nil
													or string.find(SLH_itemLink, "Stylish Black Parasol") ~= nil
													or string.find(SLH_itemLink, "Phial of Ravenous Slime") ~= nil
													or string.find(SLH_itemLink, "The Necronom") ~= nil-- really The Necronom-i-nom, somehitng not right with the Dash
													or string.find(SLH_itemLink, "Scroll or Aeons") ~= nil
													or string.find(SLH_itemLink, "Kyrian Bell") ~= nil
													or string.find(SLH_itemLink, "Bondable Val'kyr Diadem") ~= nil
													or string.find(SLH_itemLink, "Puntable Marmot") ~= nil
													)
												)	
											or SLH_itemSubClassID == 5 
											or SLH_itemSubClassID == 6
											)
										)	
									or SLH_itemClassID == 16
									or SLH_itemClassID == 17
									or SLH_itemClassID == 18
								)
							then
								
							
								
								--[[DevMode]]if SLH_NC_DevMode and SLH_lootable and SLH_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: " .. SLH_itemLink.. " is Consumable") end	
								--[[DevMode]]if SLH_NC_DevMode and SLH_itemType ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_itemType: " .. SLH_itemType) end
								--[[DevMode]]if SLH_NC_DevMode and SLH_itemSubType ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_itemSubType: " .. SLH_itemSubType) end
								
								local SLH_isLocked = C_Item.IsLocked(ItemLocation:CreateFromBagAndSlot(SLH_bagID, SLH_slot) )
								if SLH_isLocked 
								then 
									--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_isLocked: true") end
								else 
									--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC SLH_isLocked: false") end
								end
								
								if UnitAffectingCombat("player")
								then	
									--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Unit is in Combat, added to PostCombatList.") end
									local slh_newEntry = #_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"]+1
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][slh_newEntry] = {}
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][slh_newEntry][1] = SLH_NC_itemLink
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][slh_newEntry][2] = SLH_NC_lootstring
									return 
								end
								
								if _G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] > 10000
								then	
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] = 9000
								else 
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] = _G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"] + 1									
								end
														
								local SLH_NC_SecureActionButton = CreateFrame("CheckButton", nil, UIParent, "SecureActionButtonTemplate,ActionButtonTemplate")
								SLH_NC_SecureActionButton:SetPoint("CENTER", UIParent, _G_SLH["SLH_SV"][NC_Profile]["NC"]["xOfs"], _G_SLH["SLH_SV"][NC_Profile]["NC"]["yOfs"])	
								SLH_NC_SecureActionButton:SetAttribute("type1", "item")
								SLH_NC_SecureActionButton:SetAttribute("item", SLH_itemName)
								SLH_NC_SecureActionButton:RegisterForClicks("AnyUp")
								SLH_NC_SecureActionButton:SetSize(40, 40)
								SLH_NC_SecureActionButton:SetFrameLevel(_G_SLH["SLH_SV"][NC_Profile]["NC"]["framelevel"])

								local SLH_icon = SLH_NC_SecureActionButton:CreateTexture(nil, "ARTWORK")
								SLH_icon:SetAllPoints(true)
								SLH_icon:SetTexture(GetItemIcon(SLH_itemID))
								SLH_NC_SecureActionButton.icon = SLH_icon	
								
								SLH_NC_SecureActionButton:Show()
									
								--Make Dragable
								SLH_NC_SecureActionButton:SetMovable(true)
								SLH_NC_SecureActionButton:EnableMouse(true)					
								SLH_NC_SecureActionButton:RegisterForDrag("LeftButton")
								SLH_NC_SecureActionButton:SetScript("OnDragStart", function(SLH_NC_SecureActionButton) if IsShiftKeyDown() then SLH_NC_SecureActionButton:StartMoving() end end)
								SLH_NC_SecureActionButton:SetScript("OnDragStop", SLH_NC_SecureActionButton.StopMovingOrSizing)
																
								SLH_NC_SecureActionButton:HookScript("OnClick", function (self, button, down) 
									if SLH_NC_DevMode and SLH_NC_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: SLH_NC_itemLink" .. SLH_NC_itemLink) end
									C_Timer.After(.2, function() 
										if button == "RightButton" or GetItemCount(SLH_NC_itemLink) == 0
										then
											self:Hide() 
											RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
											if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Here1") end
											return	
										else
											C_Timer.After(1, function() 
												if GetItemCount(SLH_NC_itemLink) == 0
												then
													self:Hide() 
													RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
													if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Here2") end
													return	
												else
													C_Timer.After(1, function() 
														if GetItemCount(SLH_NC_itemLink) == 0
														then
															self:Hide() 
															RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
															if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Here3") end
															return	
														else
															C_Timer.After(1, function() 
																if GetItemCount(SLH_NC_itemLink) == 0
																then
																	self:Hide() 
																	RegisterAttributeDriver(self,"visibility","[combat]hide;hide")
																	if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Here4") end
																	return													
																end									
															end)
														end									
													end)
												end									
											end)
										end									
									end)
								end)
								
								SLH_NC_SecureActionButton:HookScript("OnEnter", function(widget)
									GameTooltip:SetOwner(SLH_NC_SecureActionButton, "ANCHOR_RIGHT")
									GameTooltip:SetHyperlink(SLH_NC_itemLink)
									GameTooltip:AddLine("\n\nSLH_NC:\n  Left Click: Use ".. SLH_NC_itemLink .. "\n  Right Click: Hide Button\n  Hold Shift+Left Mouse Button and Drag to move to your preferred location.", _G_SLH["SLH_SF"]["SLH_TooltipColors"].r, _G_SLH["SLH_SF"]["SLH_TooltipColors"].g, _G_SLH["SLH_SF"]["SLH_TooltipColors"].b, true)
									GameTooltip:Show()
								end)
								SLH_NC_SecureActionButton:HookScript("OnLeave", function(widget) 
									GameTooltip:Hide()
									local SLH_point, SLH_relativeTo, SLH_relativePoint,SLH_xOfs, SLH_yOfs = SLH_NC_SecureActionButton:GetPoint(n)
									
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["xOfs"] = SLH_xOfs
									_G_SLH["SLH_SV"][NC_Profile]["NC"]["yOfs"] = SLH_yOfs
								end)
								
								RegisterAttributeDriver(SLH_NC_SecureActionButton,"visibility","[combat]hide;show")
								
								return
							end
						end
					end
				end
				return
			end

		--SLH_NC_Delay
			local SLH_NC_Delay = function (self, event, ...)		
				--[[DevMode]]if SLH_NC_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: " .. event) end
				if event == "MAIL_SHOW" 
				then  
					_G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] = "Y"
					return 
				elseif event == "MAIL_CLOSED" 
				then  
					_G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] = "N"
					return 
				end	
				--[[DevMode]]if SLH_NC_DevMode and _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableWhenMailBoxIsOpen"] == "Y" and _G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] == "Y" then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Paused While Mailing") end
				if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableWhenMailBoxIsOpen"] == "Y" and _G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] == "Y" then return end						
				if IsAltKeyDown() or event == "ADDON_LOADED" then return end	

				local SLH_NC_lootstring, 
					SLH_playerName , 
					SLH_languageName , 
					SLH_channelName , 
					SLH_playerName2 , 
					SLH_specialFlags , 
					SLH_zoneChannelID , 
					SLH_channelIndex , 
					SLH_channelBaseName , 
					unused , 
					SLH_lineID , 
					SLH_SenderGUID, 
					SLH_bnSenderID , 
					SLH_isMobile  , 
					SLH_isSubtitle  , 
					SLH_hideSenderInLetterbox  , 
					SLH_supressRaidIcons  = ...
				local SLH_NC_itemLink = string.match(SLH_NC_lootstring,"|%x+|Hitem:.-|h.-|h|r")
				local SLH_UnitName = string.gsub(UnitName("player"), " ", "")
				local SLH_realmName = string.gsub(GetRealmName(), " ", "")
				local SLH_UnitName_realmName = SLH_UnitName .. "-" .. SLH_realmName
				SLH_playerName = string.gsub(SLH_playerName, " ", "")
				
				if SLH_UnitName_realmName ~= SLH_playerName then return end
				--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Player and Realm Name Match") end			
				
				if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableForCrafting"] == "Y" and string.find(SLH_NC_lootstring, "You create") then return end
				--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Not a Crafted Item") end		
				
				C_Timer.After(1, function() SLH_NC_Module(self, event, SLH_NC_itemLink, SLH_NC_lootstring) end) 
				return
			end
			
		--SLH_NC_Delay2
			_G_SLH["SLH_SF"]["SLH_NC_Delay2"] = function (self, event, SLH_NC_itemLink, SLH_NC_lootstring)	
				--[[DevMode]]if SLH_NC_DevMode and SLH_NC_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Delay2 SLH_NC_itemLink = " .. SLH_NC_itemLink) end		
				--[[DevMode]]if SLH_NC_DevMode and SLH_NC_lootstring ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: Delay2 SLH_NC_lootstring = " .. SLH_NC_lootstring) end	
				C_Timer.After(1, function() SLH_NC_Module(self, event, SLH_NC_itemLink, SLH_NC_lootstring) end)	
			end

		--SLH_NC_PostCombat
			_G_SLH["SLH_SF"]["SLH_NC_PostCombat"] = function (self, event, SLH_NC_itemLink, SLH_NC_lootstring)				
				if next(_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"]) ~= nil
				then
					for i=#_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"],1,-1 do	
						C_Timer.After(1, function() 
							if _G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i] ~= nil
							then				
								local SLH_NC_itemLink = _G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][1]
								local SLH_NC_lootstring = _G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][2]
								--[[DevMode]]if SLH_NC_DevMode and i ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: PostCombat index = " .. i) end	
								--[[DevMode]]if SLH_NC_DevMode and SLH_NC_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: PostCombat SLH_NC_itemLink = " .. SLH_NC_itemLink) end	
								--[[DevMode]]if SLH_NC_DevMode and SLH_NC_lootstring ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: PostCombat SLH_NC_lootstring = " .. SLH_NC_lootstring) end									
								if _G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][1] ~= nil and _G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][2]
								then	
									_G_SLH["SLH_SF"]["SLH_NC_Delay2"](self, event, SLH_NC_itemLink, SLH_NC_lootstring) 	
								end								
							end 
							_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][1] = nil;
							_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i][2] = nil;
							_G_SLH["SLH_SV"][NC_Profile]["NC"]["PostCombatList"][i]	 = nil;
							return
						end)
					end	
					return	
				end 	
			end

		--SLH_NC Module Scan
			_G_SLH["SLH_SF"]["SLH_NC_Scan"]  = function (self, event, ...)	
		
				--[[DevMode]]if SLH_NC_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: SLH_NC_Module_Scan Start") end		
				local SLH_Bags = {}	
				SLH_Bags[1]=0
				SLH_Bags[2]=1
				SLH_Bags[3]=2
				SLH_Bags[4]=3
				SLH_Bags[5]=4
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable, --Lockbox ID?
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
							
						if SLH_itemLink ~= nil
						then 
							local SLH_NC_lootstring = string.match(SLH_itemLink, "item[%-?%d:]+")
							SLH_NC_Module(self, event, SLH_itemLink, SLH_NC_lootstring)
						end
					end
				end
				return
			end
			
		--SLH_NC EventCall
			local SLH_NC_Events = function (SLH_NCOptions, event, name, ...)
				--[[DevMode]]if SLH_NC_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: " .. event) end
				--if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableAtMaxLevel"] == "Y" and UnitLevel("player") == 60 then return end
				_G_SLH["SLH_SV"][NC_Profile]["NC"]["PausedWhileMailing"] = "N"
					
				
				Run_SLH_NC = CreateFrame("Frame","Run_SLH_NC")
				Run_SLH_NC:RegisterEvent("CHAT_MSG_LOOT")		
				Run_SLH_NC:RegisterEvent("MAIL_SHOW")		
				Run_SLH_NC:RegisterEvent("MAIL_CLOSED")		
				if _G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] == "Y"
				then 
					Run_SLH_NC:HookScript("OnEvent", function (self, event, ...)		
						SLH_NC_Delay(self, event, ...)	
					end)
				end
				
				Run_SLH_NC_PostCombat= CreateFrame("Frame","Run_SLH_NC_PostCombat")
				Run_SLH_NC_PostCombat:RegisterEvent("PLAYER_REGEN_ENABLED")		
				if _G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] == "Y"
				then 
					Run_SLH_NC_PostCombat:HookScript("OnEvent", function (self, event, ...)		
						_G_SLH["SLH_SF"]["SLH_NC_PostCombat"](self, event, ...)	
					end)
				end
									
				if _G_SLH["SLH_SV"][NC_Profile]["NC"]["LogOnScan"] == "Y"
				then
					Run_SLH_NC_Scan = CreateFrame("Frame","Run_SLH_NC_Scan")
					Run_SLH_NC_Scan:RegisterEvent("PLAYER_ENTERING_WORLD")		
					if _G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] == "Y"
					then 
						Run_SLH_NC_Scan:HookScript("OnEvent", function (self, event, ...)		
							_G_SLH["SLH_SF"]["SLH_NC_Scan"](self, event, ...)	
						end)
					end
				end
			end

		--SLH_NC Config Screen
			local SLH_NC_Frames = function  (self, event, name, ...)

				-- SLH_NC Options
					local SLH_NCOptions = CreateFrame( "Frame", "SLH_NCOptions")
					SLH_NCOptions.name = "New Consumables"
					-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
						SLH_NCOptions.parent = SLH_Config_Panel.name
					-- Add the child to the Interface Options
						InterfaceOptions_AddCategory(SLH_NCOptions)
					--Add Title
						local SLH_NCOptionsTitle = SLH_NCOptions:CreateFontString(nil, "ARTWORK","GameFontNormalLarge")
						SLH_NCOptionsTitle:SetPoint("TOPLEFT", 10, -10)
						SLH_NCOptionsTitle:SetText("Salen's Little Helper - New Consumables Options")

			
				--SLH_NCDetail - Create Scroll Frame		
					SLH_NCDetail = securecall(_G_SLH["SLH_SF"]["SLH_CreateScrollFrame"],SLH_NCOptions, --self
						"SLH_NCDetail", --FrameName
						SLH_NCOptions, --TOPLEFTrelativeFrame
						5, --TOPLEFTxOffset
						-30, --TOPLEFTyOffset
						SLH_NCOptions, --BOTTOMRIGHTrelativeFrame
						-5, --BOTTOMRIGHTxOffset
						5,--BOTTOMRIGHTyOffset
						"New Consumables Options" -- Title
						)
					SLH_NCDetail.ScrollBar:ClearAllPoints()
					SLH_NCDetail.ScrollBar:SetPoint("TOPLEFT", SLH_NCDetail, "TOPRIGHT", -25, -20)
					SLH_NCDetail.ScrollBar:SetPoint("BOTTOMRIGHT", SLH_NCDetail, "BOTTOMRIGHT", -5, 25)
					SLH_NCDetail:SetClipsChildren(true)		
					
					--(Uncomment to) Set Background Color
						--SLH_NCDetail.bg = SLH_NCDetail:CreateTexture(nil, "BACKGROUND")
						--SLH_NCDetail.bg:SetAllPoints(true)
						--SLH_NCDetail.bg:SetColorTexture(0.8, 0.4, 0, 0.2)
					--End Set Background Color

					--SLH_NCDetailScrollFrameChild
						local SLH_NCDetailScrollFrameChild = CreateFrame("Frame", nil, SLH_NCDetail)
						SLH_NCDetailScrollFrameChild:SetSize(600, 470)
							--(Uncomment to) Set Background Color
								--SLH_NCDetailScrollFrameChild.bg = SLH_NCDetailScrollFrameChild:CreateTexture(nil, "BACKGROUND")
								--SLH_NCDetailScrollFrameChild.bg:SetAllPoints(true)
								--SLH_NCDetailScrollFrameChild.bg:SetColorTexture(0.2, 0.6, 0, 0.8)
							--End Set Background Color
						SLH_NCDetail:SetScrollChild(SLH_NCDetailScrollFrameChild)	
						SLH_NCDetailScrollFrameChild:SetClipsChildren(true)		
			
					

					--SLH_NCDetail Title 
						SLH_NCDetailScrollFrameChild.title = SLH_NCDetailScrollFrameChild:CreateFontString (nil, "OVERLAY")
						SLH_NCDetailScrollFrameChild.title:SetFontObject("GameFontHighlight")
						SLH_NCDetailScrollFrameChild.title:SetPoint("LEFT", SLH_NCDetailScrollFrameChild.TitleBg, "LEFT", 5, 0)
						SLH_NCDetailScrollFrameChild.title:SetText("New Consumables Options")	
						SLH_NCDetailScrollFrameChild.title:SetTextColor(_G_SLH["SLH_SF"]["SLH_TitleColors"].r, _G_SLH["SLH_SF"]["SLH_TitleColors"].g, _G_SLH["SLH_SF"]["SLH_TitleColors"].b, _G_SLH["SLH_SF"]["SLH_TitleColors"].a)					

					--MasterFrame.SLH_NCDetail Buttons
						-- Enable_SLH_NC Check Button:
							Enable_SLH_NC = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NCOptions, --self
								"TOPLEFT", --point
								SLH_NCDetailScrollFrameChild, --relativeFrame
								"Enable_SLH_NC", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								10, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"Enable", --SVPath3
								"Enable New Consumables", --text
								"Creates a PopUp Icon for using the new Consumable\n\nLeft Click to Use it, Right Click to Close the icon.\n\nIcon will Automatically Hide During Combat." --tooltip
								)
								Enable_SLH_NC:HookScript("OnClick", function(self, arg1)			
									if Enable_SLH_NC:GetChecked() 
										then 
											_G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] = "Y"
											SLH_NC_SetVars(self, event, name)
											SLH_NC_Events(self, event, name)
										else 
											_G_SLH["SLH_SV"][NC_Profile]["NC"]["Enable"] = "N"
											--if _G_SLH["SLH_SV"][NC_Profile]["NC"]["DisableAtMaxLevel"] == "Y" and UnitLevel("player") == 60 then return end
											
											if Run_SLH_ActiveQuests then Run_SLH_ActiveQuests:UnregisterAllEvents()	end
											if Run_SLH_CompleteQuests then Run_SLH_CompleteQuests:UnregisterAllEvents()	end
											if Run_SLH_AvailableQuests then Run_SLH_AvailableQuests:UnregisterAllEvents()	end
											if Run_SLH_AcceptQuests then Run_SLH_AcceptQuests:UnregisterAllEvents()	end				
									end
								end)
										
						-- SLH_NC_SLH_xOfs - in seconds
							SLH_NC_SLH_xOfs = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_NCOptions, --
								"TOPLEFT", --point
								Enable_SLH_NC, --relativeFrame
								"SLH_NC_SLH_xOfs" , --FrameName
								"BOTTOMLEFT", --relativePoint
								10, --xOffset
								-40, --yOffset
								-1000, --Min
								1000, --Max
								_G_SLH["SLH_SV"][NC_Profile]["NC"]["xOfs"], --Value
								20, --Step
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"xOfs", --SVPath3
								"Set X Coordinate?", --text
								"Set X Coordinate\n\nThis is in case the button is moved off screen and you need to recover it.\n\nCoordinates are from center of the screen. Center = 0 , Default = -40\n\nThis setting requires a reload after a change." --tooltip
								)
										
						-- SLH_NC_SLH_yOfs - in seconds
							SLH_NC_SLH_yOfs = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_NCOptions, --
								"TOPLEFT", --point
								SLH_NC_SLH_xOfs, --relativeFrame
								"SLH_NC_SLH_yOfs" , --FrameName
								"BOTTOMLEFT", --relativePoint
								0, --xOffset
								-50, --yOffset
								-1000, --Min
								1000, --Max
								_G_SLH["SLH_SV"][NC_Profile]["NC"]["yOfs"], --Value
								20, --Step
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"yOfs", --SVPath3
								"Set Y Coordinate?", --text
								"Set Y Coordinate\n\nThis is in case the button is moved off screen and you need to recover it.\n\nCoordinates are from center of the screen. Center = 0 , Default = 320\n\nThis setting requires a reload after a change." --tooltip
								)
								
						-- SLH_NC_DisableForCrafting - in seconds								
							SLH_NC_DisableForCrafting = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NCOptions, --self
								"TOPLEFT", --point
								SLH_NC_SLH_yOfs, --relativeFrame
								"SLH_NC_DisableForCrafting", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"DisableForCrafting", --SVPath3
								"Disable when you Craft the item?", --text
								"Disables when you Craft the item\n\nThis setting requires a reload after a change." --tooltip
								)
								
						-- SLH_NC_SLH_yOfs - in seconds								
							SLH_NC_DisableWhenMailBoxIsOpen = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NCOptions, --self
								"TOPLEFT", --point
								SLH_NC_DisableForCrafting, --relativeFrame
								"SLH_NC_DisableWhenMailBoxIsOpen", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"DisableWhenMailBoxIsOpen", --SVPath3
								"Disable when Mailbox is open?", --text
								"Disables when Mailbox is open" --tooltip
								)
						
						--Right Side
								
						--SLH_NC_LogOnScan Check Button:
							SLH_NC_LogOnScan = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_NCOptions, --self
								"TOPLEFT", --point
								Enable_SLH_NC, --relativeFrame
								"SLH_NC_LogOnScan", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								280, --xOffset
								0, --yOffset
								"SLH_SV", --SVPath0
								NC_Profile, --SVPath1
								"NC", --SVPath2
								"LogOnScan", --SVPath3
								"Run Scan on Loading UI?", --text
								"Runs Scan when Loading UI.\n\nSounds useful.  Likely highly annoying for Consumables..." --tooltip
								)
								
										
			end

				
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NC_Load"] == "Y" then
				SLH_NC_SetVars(self, event, name, ...)
				SLH_NC_Events(self, event, name, ...)
			end
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["NC_Hide"] == "N" then
				SLH_NC_Frames(self, event, name, ...)
			end

	end	)	